org.cybergarage.http

## Class ParameterList

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<E>
    - - java.util.Vector<Parameter>
      - - org.cybergarage.http.ParameterList

- All Implemented Interfaces:
    Serializable, Cloneable, Iterable<Parameter>, Collection<Parameter>, List<Parameter>, RandomAccess

      public class ParameterList
      extends Vector<Parameter>

  A collection of Parameter objects that extends Vector. This class provides methods to manage and retrieve parameters by name or index, commonly used for handling HTTP query parameters, form data, and headers.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.Vector

      `capacityIncrement, elementCount, elementData`

    - ### Fields inherited from class java.util.AbstractList

      `modCount`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParameterList()` Creates a new empty ParameterList.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Parameter` | `at(int n)` Gets the Parameter at the specified index.
    `Parameter` | `getParameter(int n)` Gets the Parameter at the specified index.
    `Parameter` | `getParameter(String name)` Gets the Parameter with the specified name.
    `String` | `getValue(String name)` Gets the value of the Parameter with the specified name.

    - ### Methods inherited from class java.util.Vector

      `add, add, addAll, addAll, addElement, capacity, clear, clone, contains, containsAll, copyInto, elementAt, elements, ensureCapacity, equals, firstElement, forEach, get, hashCode, indexOf, indexOf, insertElementAt, isEmpty, iterator, lastElement, lastIndexOf, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeAllElements, removeElement, removeElementAt, removeIf, removeRange, replaceAll, retainAll, set, setElementAt, setSize, size, sort, spliterator, subList, toArray, toArray, toString, trimToSize`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Collection

      `parallelStream, stream`

- - ### Constructor Detail

    - #### ParameterList

          public ParameterList()

      Creates a new empty ParameterList.

  - ### Method Detail

    - #### at

          public Parameter at(int n)

      Gets the Parameter at the specified index.
      Parameters:
        `n` - the index of the parameter to retrieve
      Returns:
        the Parameter at the specified index

    - #### getParameter

          public Parameter getParameter(int n)

      Gets the Parameter at the specified index.
      Parameters:
        `n` - the index of the parameter to retrieve
      Returns:
        the Parameter at the specified index

    - #### getParameter

          public Parameter getParameter(String name)

      Gets the Parameter with the specified name.
      Parameters:
        `name` - the name of the parameter to find
      Returns:
        the Parameter with the specified name, or null if not found

    - #### getValue

          public String getValue(String name)

      Gets the value of the Parameter with the specified name.
      Parameters:
        `name` - the name of the parameter to find
      Returns:
        the value of the parameter, or empty string if not found